%define pname     sleeptimer
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define cachedir  %(vdr-config --cachedir   2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.7
Release:        18
Summary:        Sleeptimer plugin for VDR

Group:          Multimedia/VDR
License:        GPL
URL:            http://linvdr.org/download/vdr-sleeptimer/
Source0:        %{pname}-%{version}.tar.gz
Source200:      %{name}.runvdr
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0
Requires:       vdr(abi) = %{apiver}

%description
Sleeptimer plugin for VDR

%prep
%setup -q -n %{pname}-%{version}
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
sed -i -e s/VDRVERSION/APIVERSION/g Makefile

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/sleeptimer

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable sleeptimer >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable sleeptimer >/dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README*
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%config(noreplace) %{_sysconfdir}/runvdr/sleeptimer

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 0.7-18
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 0.7-17
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 0.7-16
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 0.7-15
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.7-14
- rebuild against vdr-1.6.0-3
* Thu Mar 27 2008 Christian Wasem <wasem@ccux-linux.de> 0.7-13
- rebuild against latest vdr package
* Sun Mar 16 2008 Christian Wasem <wasem@ccux-linux.de> 0.7-12
- rebuild against latest vdr package
* Sat Aug 25 2007 Christian Wasem <wasem@ccux-linux.de> 0.7-11
- rebuild against latest vdr package
* Mon Feb 12 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-10
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-9
- rebuild against latest vdr package
* Wed Feb 07 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-8
- rebuild against latest vdr package
* Fri Feb 02 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-7
- rebuild against latest vdr package
* Thu Jan 25 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-6
- rebuild against latest vdr package
* Wed Jan 24 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-5
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-4
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-3
- rebuild against latest vdr package
* Sat Jan 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-2
- rebuild against latest vdr package
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 0.7-1
- Initial release
